﻿

@media print {

    html, body {
        -webkit-print-color-adjust: exact;
        width: 1340px !important;
        /*height: 297mm !important;*/
    }
    /* ... the rest of the rules ... */

    .table td, .table th {
        background-color: inherit !important;
    }
}

.table-header {
    background-color: #e1f5fe !important;
    color: #0277bd !important;
    text-align: center !important;
}
/*-------------------------------------------------------------*/
/* LIMITESS
/*-------------------------------------------------------------*/
.sidebar-dark .nav-sidebar > .nav-item > .nav-link.active {
    background-color: #0277BD !important;
}

.navbar-dark {
    background-color: #000000 !important;
}

.navbar-brand {
    padding-top: inherit !important;
    padding-bottom: inherit !important;
}

.form-group {
    margin-bottom: 10px !important;
}

.form-control:disabled {
    color: inherit !important;
}

.table-xxs th,
.table-xxs td {
    padding: 0.25rem 0.35rem;
}

.nav-tabs-bottom .nav-link.active:before {
    background-color: #999 !important;
}

.nav-link.active {
    color: #0288d1 !important;
}




.font-size-xxs {
    font-size: .625rem
}


.custom-checkbox .custom-control-label::before {
    /* border-color: black; */
    border-radius: 8px !important;
    border: 1px solid !important;
}

label.required::after {
    content: " ⬤";
    color: red;
}

label.checked::after {
    content: " ✔";
    color: green;
}

label.either::after {
    content: " ⬤";
    color: orange;
}

.ui-dialog-titlebar {
    padding: 10px 20px 10px 20px !important;
    background-color: #4fc3f7 !important;
    color: #ffffff !important;
}

.card-header {
    padding: 10px 20px 10px 20px !important;
}
.table-responsive {
    min-height: 150px;
}


@media (min-width: 576px) {
    .login-form {
        width: 30rem !important;
    }
}

    /*-------------------------------------------------------------*/
    /* SELECT2
/*-------------------------------------------------------------*/
    .select2-container--disabled .select2-selection--single {
    color: inherit !important;
}

.select2-results > .select2-results__options {
    max-height: 400px !important;
}

.select2-results__option {
    padding: 5px 7px !important;
}
/*-------------------------------------------------------------*/
/* DIALOG JQUERY UI
/*-------------------------------------------------------------*/

.ui-dialog-content {
    padding: 10px 5px 5px 5px;
}

.ui-menu .ui-menu-item-wrapper {
    display:block !important;
}

/*-------------------------------------------------------------*/
/* TOOLTIP GOOGLE CHAR*/
/*-------------------------------------------------------------*/

div .google-visualization-tooltip {
    background-color: #000000 !important;
    border-radius: 3px !important;
    border: 0px !important;
}

.google-visualization-tooltip-item span {
    color: #ffffff !important;
    font-family: Roboto !important;
}

.google-visualization-tooltip-square {
    width: 10px !important;
    height: 10px !important;
    border: 0px !important;
    border-radius: 50% !important;
}

.required_field {
    border: 1px solid #ff0000 !important;
}

/*-------------------------------------------------------------*/
/* check list tag
/*-------------------------------------------------------------*/


.check_list_tag label {
    margin-bottom: 0px; /* Spazio tra checkbox e la sua label */
    margin-left: 4px
}


/*-------------------------------------------------------------*/
/* blocco hader tabelle
/*-------------------------------------------------------------*/


.table-header-fix {
    position: sticky;
    top: 0;
    background-color: white; /* Sfondo per evitare trasparenza */
    z-index: 10; /* Assicura che rimanga sopra */
}

/*-------------------------------------------------------------*/
/* griglie selezione
/*-------------------------------------------------------------*/

.grid_row {
    cursor: pointer !important;
}

    .grid_row a {
        color: #555555 !important;
    }

    .grid_row:hover {
    }

        .grid_row:hover a {
            color: #222222 !important;
        }


.grid_row_selected, .grid_row_selected * {
    background-color: #777777 !important;
    color: #ffffff !important;
    font-weight: bold !important;
}

    .grid_row_selected a {
    }

    .grid_row_selected:hover {
    }
